<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.springframework.org/schema/beans 
	http://www.springframework.org/schema/beans/spring-beans-2.5.xsd
	http://www.springframework.org/schema/aop 
	http://www.springframework.org/schema/aop/spring-aop-2.5.xsd">

	<bean id="alunoDao" class="dao.AlunoDAO">
		<constructor-arg ref="dbConexao" />
	</bean>
	<bean id="cursoDao" class="dao.CursoDAO">
		<constructor-arg ref="dbConexao" />
	</bean>
	<bean id="disciplinaDao" class="dao.DisciplinaDAO">
		<constructor-arg ref="dbConexao" />
	</bean>
	<bean id="ementaDao" class="dao.EmentaDAO">
		<constructor-arg ref="dbConexao" />
	</bean>
	<bean id="mensalidadeDao" class="dao.MensalidadeDAO">
		<constructor-arg ref="dbConexao" />
	</bean>
	<bean id="professorDao" class="dao.ProfessorDAO">
		<constructor-arg ref="usuarioDao" />
		<constructor-arg ref="dbConexao" />
	</bean>
	<bean id="salaDao" class="dao.SalaDAO">
		<constructor-arg ref="dbConexao" />
	</bean>
	<bean id="turmaDao" class="dao.TurmaDAO">
		<constructor-arg ref="professorDao" />
		<constructor-arg ref="dbConexao" />
	</bean>
	<bean id="usuarioDao" class="dao.UsuarioDAO">
		<constructor-arg ref="dbConexao" />
	</bean>
	<bean id="dbConexao" class="util.DBConexao">
		<constructor-arg ref="dbConfig" />
	</bean>
	<bean id="dbConfig"
		class="util.DBConfig">
		<property name="configuracao">
			<props>
				<prop key="banco.driver">org.postgresql.Driver</prop>
				<prop key="banco.servidor">jdbc:postgresql://localhost</prop>
				<prop key="banco.porta">5432</prop>
				<prop key="banco.usuario">postgres</prop>
				<prop key="banco.senha">admin</prop>
			</props>
		</property>
	</bean>
</beans>